Bug 2003245 - [4.9] Revert libovsdb client code
Summary: [4.9] Revert libovsdb client code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.9.z
Assignee: Tim Rozet
QA Contact: Anurag saxena
URL:
Whiteboard: perfscale-ovn
: 1999701 (view as bug list)
Depends On: 2003244
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-10 18:36 UTC by Dan Williams
Modified: 2021-10-18 17:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2003244
Environment:
Last Closed: 2021-10-18 17:51:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 725 0 None None None 2021-09-10 18:37:30 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:51:49 UTC

Description Dan Williams 2021-09-10 18:36:58 UTC
+++ This bug was initially created as a clone of Bug #2003244 +++

In 4.9 we use go-ovn, but we started adding some ovn-org/libovsdb code. That unfortunately creates a client that listens for server events, but doesn't do anything with them, and is a drain on CPU and causes more work for the ovsdbservers.

Revert that since it had wasn't used for anything anyway.

Comment 1 Tim Rozet 2021-09-13 13:18:02 UTC
*** Bug 1999701 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2021-10-18 17:51:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.